<?php
class Produto
{
	public  $qry;
	private	$sql;
	private $from = 'produto';
	private $id = 'id_produto';
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}

	public function Select($id = 0)
	{
		$this->sql = "select id_produto, desc_produto, producao from produto";
		if ($id != 0) {
			$this->sql .= " where $this->id = $id and ";
		} else {
			$this->sql .= ' where ';
		}
		$this->sql .= "id_empresa = $this->id_empresa limit 1";

		$this->execulta();
	}


	public function VerificarDuplicidade($valor, $campo)
	{
		$this->sql = "select $campo from $this->from
						  where $campo = '$valor'
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function Insert($desc_produto, $producao)
	{
		$desc_produto = addslashes($desc_produto);

		$this->sql = "INSERT INTO produto
						(desc_produto, id_empresa, producao)
						VALUES 
						('$desc_produto', '$this->id_empresa', $producao)";
		$this->execulta();
		return mysqli_insert_id();
	}


	public function Upadate($id_produto, $desc_produto, $producao)
	{
		$desc_produto = addslashes($desc_produto);
		$this->sql = "UPDATE produto
							SET 
							desc_produto = '$desc_produto',
							producao = $producao
							WHERE id_produto = $id_produto";
		$this->execulta();
	}


	public function Delete($id)
	{
		$this->sql = "delete from $this->from
							where $this->id = '$id'";
		$this->execulta();
	}


	public function Localizar($Localizador)
	{
		$this->sql = "select $this->id, desc_produto
							  from $this->from
							  where id_empresa = $this->id_empresa 
							  and desc_produto like '%$Localizador%'
							  order by desc_produto";
		$this->execulta();
	}


	public function SelectCheckList($id_iten)
	{
		$this->sql = "select id_iten_check_list, descricao, id_iten
						  from itens_check_list
						  where id_iten = $id_iten
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function InsertCheckList($id_iten, $descricao)
	{
		$descricao = addslashes($descricao);
		$this->sql = "insert into itens_check_list
						  (descricao, id_iten, id_empresa)
						  values
						  ('$descricao', $id_iten, $this->id_empresa)";
		$this->execulta();
	}

	public function UpdateCheckList($id_iten_check_list, $descricao)
	{
		$descricao = addslashes($descricao);
		$this->sql = "UPDATE itens_check_list
						  set
						  descricao = '$descricao'
						  where id_iten_check_list = $id_iten_check_list
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function DelCheckList($id_iten_check_list)
	{
		$this->sql = "delete from itens_check_list
						  where id_iten_check_list = $id_iten_check_list";
		$this->execulta();
	}
}
